uniform mat4 mvpMatrix;
attribute vec4 position;
attribute vec4 inputTextureCoordinate;
varying vec2 textureCoordinate;
varying vec2 textureCoordinate2;
void main() {
 gl_Position = mvpMatrix * position;
 textureCoordinate = inputTextureCoordinate.xy;

 mat2 invMVP = mat2(mvpMatrix);
 textureCoordinate2 = textureCoordinate - 0.5;
 invMVP = mat2(invMVP[0][0], invMVP[0][1] * -1.0,
               invMVP[1][0] * -1.0 , invMVP[1][1]);
 textureCoordinate2 = textureCoordinate2 * invMVP + 0.5;
}
