varying highp vec2 textureCoordinate;
precision highp float;
uniform sampler2D videoFrame;
uniform sampler2D supTex1;
uniform sampler2D supTex2;
mat3 saturateMatrix = mat3(1.1402, -0.0598, -0.061, -0.1174, 1.0826, -0.1186, -0.0228, -0.0228, 1.1772);

void main() {
    vec3 color;
    vec4 c2;
    float gray1, gray2;
    color = texture2D(videoFrame, textureCoordinate).rgb;
    gray1 = dot(color, vec3(0.299, 0.587, 0.114));
    float bright = 0.5 - gray1;
    if (bright < 0.0) {
        bright = 0.0;
    }
    bright = bright + 1.0;
    color = color * bright;
    color = saturateMatrix * color;
    color = saturateMatrix * color;
    c2 = texture2D(supTex2, textureCoordinate);
    color.rgb = mix(color.rgb, vec3((color.r < 0.5 ? (2.0 * color.r * c2.r) : (1.0 - 2.0 * (1.0 - color.r) * (1.0 - c2.r))), (color.g < 0.5 ? (2.0 * color.g * c2.g) : (1.0 - 2.0 * (1.0 - color.g) * (1.0 - c2.g))), (color.b < 0.5 ? (2.0 * color.b * c2.b) : (1.0 - 2.0 * (1.0 - color.b) * (1.0 - c2.b)))), c2.a);
    gl_FragColor = vec4(color, 1.0);
}
